// creator  : weidu.exe (version 23100)
// argument : SPECH3.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SPECH3~

IF ~~ THEN BEGIN 0 // from: SPECH2:0.0
  SAY #23096 /* ~Time is eternal for we that see, but time counts down for you even now. Leave or never leave as death becomes you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 1 // from: 3.1 SPECH2:3.1 SPECH2:2.1 SPECH2:1.0 SPECH1:1.1
  SAY #23136 /* ~We are the past that guards the present. We harp as specters that others would find rest here.~ */
  IF ~~ THEN REPLY #23139 /* ~And this place? What is it?~ */ EXTERN ~SPECH2~ 1
  IF ~~ THEN REPLY #23140 /* ~There was a thief captured here not long ago. What happened to him?~ */ EXTERN ~SPECH1~ 2
  IF ~~ THEN REPLY #23143 /* ~What is there here that someone would want to steal?~ */ GOTO 3
  IF ~~ THEN REPLY #23148 /* ~How does someone become a Harper?~ */ GOTO 4
  IF ~~ THEN REPLY #23153 /* ~I will leave you alone now.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: SPECH1:2.0
  SAY #23162 /* ~As they take flight from the law, so we have given flight but nowhere to flee. A gilded cage for a form free to soar, that they might know loss in confinement.~ */
  IF ~~ THEN EXTERN ~SPECH2~ 2
END

IF ~~ THEN BEGIN 3 // from: 1.2 SPECH2:3.3 SPECH2:2.2 SPECH2:1.2 SPECH1:1.3
  SAY #23245 /* ~There is calm here to steal, in the mistaken view that wealth accompanies peace of mind. The powerful come and go, and in their wake will follow the scavengers.~ */
  IF ~~ THEN REPLY #23248 /* ~And this place again? What is it?~ */ EXTERN ~SPECH2~ 1
  IF ~~ THEN REPLY #23249 /* ~What manner of creatures are you?~ */ GOTO 1
  IF ~~ THEN REPLY #23250 /* ~There was a thief that may have come here. What happened to him?~ */ EXTERN ~SPECH1~ 2
  IF ~~ THEN REPLY #23251 /* ~How does someone become a Harper?~ */ GOTO 4
  IF ~~ THEN REPLY #23253 /* ~I will leave you alone now.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.3 1.3 SPECH2:2.3 SPECH2:1.3 SPECH1:1.4
  SAY #23255 /* ~It is said that Harpers come from birth, that they are merely acknowledged when they join. A taint in the mind that lacks sense perhaps, but the desire to make things right in the long term.~ */
  IF ~~ THEN EXTERN ~SPECH1~ 3
END

IF ~~ THEN BEGIN 5 // from: 3.4 1.4 SPECH2:3.4 SPECH2:2.4 SPECH2:1.4 SPECH1:1.5
  SAY #23279 /* ~Solitary, but never alone. The songs of the past serve to shorten the years for the ears that dare listen, and bring memory back of the friends departed.~ */
  IF ~~ THEN EXTERN ~SPECH1~ 4
END

IF ~PartyHasItem("MISC5E")
NumTimesTalkedTo(0)
!Dead("spech1")
!StateCheck("spech1",STATE_SLEEPING)
!Dead("spech2")
!StateCheck("spech2",STATE_SLEEPING)~ THEN BEGIN 6 // from:
  SAY #23288 /* ~You bear the mark of one and the same. Here you are welcome and may rest in safety.~ */
  IF ~~ THEN EXTERN ~SPECH1~ 1
END

IF ~PartyHasItem("MISC5E")
!Dead("spech1")
!StateCheck("spech1",STATE_SLEEPING)
!Dead("spech2")
!StateCheck("spech2",STATE_SLEEPING)~ THEN BEGIN 7 // from:
  SAY #23292 /* ~Again our words are yours to hear for the listening.~ */
  IF ~~ THEN EXTERN ~SPECH1~ 1
END
